Skip to navigation

Get Learning V2 Tracks

Return the tracks (learning paths) of the organization, newest first and hidden ones last. Use the id of each node as track_id when assigning the track to users.

Authentication

Api-Keystring

API key of the organization. Always sent together with the Secret-Access header.

Path parameters

organization_slugstringRequired

Headers

Secret-AccessstringRequired

Query parameters

firstintegerOptional1-100Defaults to 10

Page size (1-100)

afterstringOptional

Cursor of the previous page (page_info.end_cursor)

searchstringOptional

Case-insensitive search by track name

track_typeenumOptional

Filter by type: TRACK (learning path) or ACADEMY

Allowed values:
is_draftbooleanOptional

Omit it to get only active published tracks; true returns drafts; false returns published tracks

is_hiddenbooleanOptional
Filter by visibility

Response

Successful Response
total_countinteger
page_infoobject
edgeslist of objects

Errors

400
Bad Request Error
422
Unprocessable Entity Error